# Interface IStreamHighlightOptions

The possible options when highlighting a stream.

## Index

### Properties

- cssClass
- regexFlags

## Properties

### Optional cssClass

cssClass: string

- Defined in utils/StreamHighlightUtils.ts :22

The css class that the highlight will generate. Defaults to `coveo-highlight`.

### Optional regexFlags

regexFlags: string

- Defined in utils/StreamHighlightUtils.ts :27

The regex flags that should be applied to generate the highlighting. Defaults to `gi`.

### Hierarchy

- IStreamHighlightOptions